unit Passform;

{preparing to construct a DLL, including
 exception handling and export calling}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, FileCtrl;

type
  TPassWordForm = class(TForm)
    PassWordField: TEdit;
    OKButton: TBitBtn;
    CancelButton: TBitBtn;
    Label1: TLabel;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    lblDir: TLabel;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function GetPassword(const PassWord: string):boolean; export;
function SelectDir(dest: PChar): boolean; export;

var
  PassWordForm: TPassWordForm;   {Instanz}

implementation

{$R *.DFM}

function GetPassWord(const PassWord: string): boolean;
var
  DialogBox: TPassWordForm;
begin
  result:=false;
  DialogBox:=TPassWordForm.create(application);
  try
    if DialogBox.ShowModal=idok then
      if CompareText(DialogBox.PassWordField.text, PassWord)=0 then
      result:=true
      else MessageDlg('sorry wrong, try again',mtwarning,[mbok],0);
   finally
     DialogBox.free;
   end;
end;

function SelectDir(Dest: PChar):Boolean;
var
  dirSelect: TPassWordForm;
begin
  result:=false;
  dirSelect:= TPassWordForm.create(application);
  try
    if dirSelect.ShowModal = idok then begin
      StrPCopy(Dest, dirSelect.DirectoryListBox1.Directory);
      result:= true;
    end;
  finally
    dirSelect.free;
  end
end;


initialization

{only one time in action, before create and construct}

begin
  messagebeep(1);
end;

end.
