{ ****************************************************************
  Sourcefile :  	bankView2.pas
  Typ :  		Boundary-Unit
  Autor :  		max kleiner, LoC=74
  Beschreibung :  	shows the databaseform				fgung
  Klassen :	  	1, siehe ModelMaker
  Besonderes : 	        is singleton
  Revisionen :  	07.11.01 main design
 **************************************************************** }

unit bankView2;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms,
  Grids, ExtCtrls, DBGrids, DBCtrls;

type
  TfrmDataView2 = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    DBGrid2: TDBGrid;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
    FoldHeight: integer;
    FnewHeight: integer;
  public
    { Public declarations }
    // singleton pattern
    class function onlyInstance: TfrmDataView2;
    destructor Destroy; override;
    property oldHeight: integer read FoldHeight;
    property newHeight: integer read FnewHeight;
  end;

  //auch lokal mit case mglich
  var FInstance: TfrmDataView2;

implementation

{$R *.DFM}


  class function TfrmDataView2.onlyInstance: TfrmDataView2;
  //const FInstance: TfrmDataView2 = NIL;
  begin
    if not assigned(FInstance) then
    FInstance:= TfrmdataView2.Create(application);
    with FInstance do begin
    //wenn self.height dann vernderbar
      FoldHeight:= 407;
    //const
      FnewHeight:= 280;
    end;
   result:= FInstance ;
  end;

  destructor TfrmDataView2.Destroy;
  begin
    FInstance:= NIL;
    inherited Destroy;
  end;


procedure TfrmDataView2.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  //allow all event handlers to complete safely
  Release;
end;

end.
