{ ****************************************************************
  Sourcefile :  	broker.pas
  Typ :  		project-Unit
  Autor :  		max kleiner, LoC=44
  Beschreibung :  	singleton app				fgung
  Klassen :	  	1, siehe ModelMaker
  Besonderes : 	        uses 3 dll's and 1 runtime package
  Revisionen :  	07.11.98 main design
 **************************************************************** }

program Broker;

uses
  Forms,
  windows,
  dialogs,
  bankData in 'bankData.pas' {dataModule1: TDataModule},
  bankLogic in 'bankLogic.pas',
  bankControll in 'bankControll.pas',
  bankView in 'bankView.pas' {frmBank},
  bankView2 in 'bankView2.pas' {frmDataView2},
  zinsView in 'zinsView.pas' {frmIncome},
  RND in 'RND.pas',
  chartView in 'chartView.pas' {frmChart},
  ulooktrans in 'ulooktrans.pas' {frmTrans},
  uFilexport in 'uFilexport.pas';

{$R *.RES}

var hMutex: THandle;

begin
  hMutex:= createMutex(nil, true, 'broker');
  if getLastError = ERROR_ALREADY_EXISTS then begin
     showmessage('Broker 2 is already running...');
     HALT;
  end;
  Application.Initialize;
  Application.Title := 'BROKER_2';
  Application.CreateForm(TfrmBank, frmBank);
  Application.CreateForm(TDataModule1, dataModule1);
  Application.Run;
  if hMutex <> 0 then closeHandle(hMutex);
end.
