(**************************************************)
(*   Chartgenerator                               *)
(*   (c) 1999 max kleiner                         *)
(*   Borland Delphi 3                             *)
(**************************************************)
{$UNDEF PATTERNS}
//{$DEFINE PATTERNS}

{-Modulename and path: chartView
//
//D:\franktech\UMLbook\UMLbook2\designPattern\dpatterns\patterns7.mpb
//Category    Boundary
//LoC=642
//Developer kleiner kommunikation
//Last Modification on 11.06.03 20:24:53:
//No Patterns inside, it's the client of RND.pas
  hurst viewed on exponent
  calls configuration too
  calls the wrapper
  10.10.04 try finally on pascal analyzer memory
//==========================================================================}
unit chartView;

interface

uses
  Windows, SysUtils, Classes, Graphics, Controls,
  Forms, bankView, StdCtrls, ExtCtrls, ComCtrls, Rnd, Menus,
  ToolWin;

 type
  EChartNotLoad = class (Exception)
  end;

  EChartDrawError = class (Exception)
  end;
  
  TfrmChart = class (TForm)
    chartMenu1: TMainMenu;
    Configuration1: TMenuItem;
    edtStartvalue: TEdit;
    Function1: TMenuItem;
    lblinit: TLabel;
    loadall: TMenuItem;
    LoadChart1: TMenuItem;
    mnshowopt: TMenuItem;
    newChart1: TMenuItem;
    Open1: TMenuItem;
    optimize1: TMenuItem;
    Options1: TMenuItem;
    PaintBox1: TPaintBox;
    Random1: TMenuItem;
    Statistics1: TMenuItem;
    statusBar1: TStatusBar;
    stopTimer1: TMenuItem;
    Timer1: TTimer;
    ToolBar1: TToolBar;
    WritetoFile1: TMenuItem;
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure loadallClick(Sender: TObject);
    procedure LoadChart1Click(Sender: TObject);
    procedure mnshowoptClick(Sender: TObject);
    procedure newChart1Click(Sender: TObject);
    procedure optimize1Click(Sender: TObject);
    procedure Options1Click(Sender: TObject);
    procedure PaintBox1Click(Sender: TObject);
    procedure Random1Click(Sender: TObject);
    procedure Statistics1Click(Sender: TObject);
    procedure stopTimer1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure WritetoFile1Click(Sender: TObject);
  private
    a1: array[1..DAT] of Extended;
    a2: array[1..DAT] of Real;
    chartData: TMemor;
    hsize: Integer;
    hurstData: THurst;
    iloop: Integer;
    maData: TMAverage;
    maData2: TMAverage;
    myGen: TChartGen;
    perfAmount: Integer;
    perfAmountTot: Integer;
    perfMem: TPerfMem;
    transCount: Integer;
    v1: array[0..DAT] of Extended;
    v2: array[0..DAT] of Real;
    procedure basicDraw;
    procedure drawAllFileOMA(fnameoptList: TStringlist);
    procedure drawChart;
    procedure drawPerformance;
    procedure loadallCharts;
    procedure loadChart;
    procedure preInitArray;
    procedure setzoomfact(datlen: integer; const vfilename: string);
  public
    optimise: Boolean;
    optimiseall: Boolean;
    procedure drawListChart(maCycle: byte);
    procedure loadChartDirect(fname: string);
  end;


 var
   frmChart: TfrmChart;

implementation

{$R *.DFM}

 uses uFilexport, ulooktrans, math, dialogs;
{
********************************** TfrmChart ***********************************
}
procedure TfrmChart.basicDraw;
var
  i, ih, i1, i2: Integer;
begin
   ih:= PaintBox1.Height - 1;
   with PaintBox1.Canvas do begin
     Pen.Color:= clGray;
     Brush.Color:= clWhite;
     MoveTo(0, ih div 2);
     LineTo(PaintBox1.Width - 1, ih div 2);
     Font.Color:= clBlue;
     TextOut(25, 5, frmTrans.strLit[33]);
     Font.Color:= clGreen;
     TextOut(25, 20, frmTrans.strLit[34]);
     Font.Color:= clSilver;
     TextOut(5, ih - 16, IntToStr(iloop) + '. Loop');
   (* HP34-Funktion *)
     Pen.Color:= clRed;
     i1:= ih - Round(ih * a1[1]);
     Pixels[0, ih - Round(ih * v1[0])]:= clRed;
     MoveTo(0,i1);
   for i:=1 to CHDAT do begin
     i2:= ih - Round(ih * a1[i]);
     LineTo(i, i2);
   end;
   (* Delphi-Funktion *)
    Pen.Color:= clGreen;
    i1:= ih - Round(ih * a2[1]);
    Pixels[0, ih - Round(ih * v2[0])]:= clGreen;
    MoveTo(0, i1);
    for i:= 1 to CHDAT do begin
     i2:= ih - Round(ih * a2[i]);
     LineTo(i, i2);
    //PaintBox1.Canvas.Pixels[i,h - Round(h * v2[i])]:= clGreen;
   end;
  end;
end;

procedure TfrmChart.drawAllFileOMA(fnameoptList: TStringlist);
var
  i: integer;
begin
  optimise:= false;
  optimiseall:= true;
  with frmBank do begin
     memBank.lines.clear;
   try
     for i:= 0 to fnameoptList.count -1 do begin
       memBank.Lines.add(fnameOptList[i]);
       //new from fusion
     end;
   except
     raise exception.create(frmTrans.strLit[29]);
     Exit;
   end;
  end; //with
end;

procedure TfrmChart.drawChart;
var
  i: Integer;
begin
  with paintBox1.canvas do begin
    hsize:= PaintBox1.Height - 1 div 2;
    Pen.Color:= clblue;
    //setZoomFact(high(chartdata), fileNameChart);
    moveto(0, hsize -(round(chartData[1])));
    for i:= 1 to CHDAT do
       LineTo(i, hsize -(round(chartData[i])));
    if myGen.MovingAverage(chartData, maData2, CHDAT, MA_LONG) then
      for i:= 1 to CHDAT do
      Pixels[i, hsize-(round(maData2[i]))]:= clsilver;
    if myGen.MovingAverage(chartData, maData, CHDAT, MA_CYCLE) then
      for i:= 1 to CHDAT do
      Pixels[i, hsize-(round(maData[i]))]:= clblack;
    if not optimiseall then
    if myGen.getHurst(chartData, hurstData, CHDAT) then begin
      hsize:= PaintBox1.Height;
      for i:= 1 to CHDAT do
      Pixels[i, hsize-(round(hurstData[i]*150))]:= clpurple;
    end;
  end;
  if frmTrans.chkBox_Stat.checked then statistics1.Click;
  drawPerformance;
end;

procedure TfrmChart.drawListChart(maCycle: byte);
begin
  myGen.setMACycle(maCycle);
  frmTrans.chkBox_Stat.checked:= false;
  paintbox1.Refresh;
  frmTrans.chkBox_Stat.checked:= true;
end;

procedure TfrmChart.drawPerformance;
var
  i, z: Integer;
  bSize: LongInt;
begin
   z:= 0;
   myGen.MAPerformance(chartData, maData, CHDAT,
                        perfMem, perfAmount);
   transCount:= myGen.getFramePerfCount(perfMem, CHDAT);
   with paintBox1.canvas do begin
     bSize:=top + height;
     // canvas bottom
     pen.Color:= clblue;
     TextOut(25,50, inttoStr(perfAmount)+
                     ' Gain by ' +inttoStr(MA_CYCLE));
     textOut(25,65, inttoStr(transCount)+ ' Transactions');
     textOut(25,80, inttoStr(perfAmountTot)+ ' Total Gain');
     textOut(25,95, inttoStr(MA_LONG) + ' Long Period');
     for i:= 1 to CHDAT - 1 do begin
       inc(z);
       // buy
       if perfMem[z] = 1 then begin
         Pen.Color:= clgreen;
       try
         MoveTo(z, hsize - (round(maData[z])));
         LineTo(z, bSize);
       except
         on Einvalidop do showmessage('second E draw the line');
       end
       end else
       // sell
       if perfMem[z] = 2 then begin
         Pen.Color:= clred;
         MoveTo(z, hsize -(round(maData[z])));
         LineTo(z, bSize);
         textout(z, hsize-16, inttoStr(perfMem[z+1]));
         inc(z);
       end
     end; // loop
   end; //with
end;

procedure TfrmChart.FormActivate(Sender: TObject);
begin
  timer1.Enabled:= true;
  edtStartValue.Height:=19;
  edtStartValue.Text:= floatToStr(startValue);
  frmchart.caption:= frmTrans.strLit[73];
  statusBar1.SimpleText:= inttoStr(CHDAT) +' Chart Days';
end;

procedure TfrmChart.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  timer1.enabled:= false;
  optimise:= false;
  optimiseall:= false;
  //perflist.free;
  //for i:= 1 to high(chartData) do begin
  //chartData[i]:=NIL;
end;

procedure TfrmChart.FormCreate(Sender: TObject);
var
  r: trect;
begin
  iloop:= 0;
  timer1.Enabled:= false;
  optimise:= false;
  optimiseall:= false;
  with paintBox1.canvas do begin
   r:= BoundsRect;
   r.Left:= Left;
   r.Top:= top + height;
  end;
end;

procedure TfrmChart.FormPaint(Sender: TObject);
begin
  basicDraw;
  if timer1.enabled = false then drawchart;
end;

procedure TfrmChart.loadallCharts;
var
  flist, perflist, tmplist: TStringList;
  i, zi: Integer;
  odfilename, tmpStr: ShortString;
  qtxt: TextFile;
  optMA: Byte;
begin
  optimiseAll:= true;
  tmpStr:='';
  flist:= TStringList.create;
  perflist:= TStringList.create;
  try
  flist:= frmTrans.getfilelist
           (ExtractFilePath(Application.ExeName)+'*.txt');
    for i:= 1 to flist.count -1 do begin
      zi:= 0;
      optMA:= 0;
      odfilename:= flist[i];
      try
       Assignfile(qtxt, odfilename);
        try
          Reset(qtxt);
          readln(qtxt, tmpStr); //!!
          preInitArray;
        if pos('0;',tmpStr) or pos('1;',tmpStr) <> 0 then begin
          while not EOF(qtxt) do begin
            chartData[zi]:=
              strToInt(copy(tmpStr,pos(';',tmpStr)+1,4));
            readln(qtxt,tmpStr);
            inc(zi);
          end;
          setZoomFact(zi, odFileName);
          //lists all files with OMA in mainform !
          tmplist:= TStringlist.create;
          tmplist:= myGen.optMovingAverage(O_FROM, O_TO, chartData,
                                CHDAT, optMA, tmplist);
          tmplist.free;
          perflist.add(odFilename +':  '+intToStr(optMA)
                          +':  '+inttoStr(CHDAT));
        end; //if
        finally
          closefile(qtxt);
          // just to test drawing in sequence
          paintbox1.refresh;
        end;
      except
        raise
          EChartNotLoad.Create(frmTrans.strLit[30] +odfilename);
      end;
    end; //for
   drawAllFileOMA(perflist);
  finally
    perflist.free;
    flist.free;
  end;
end;

procedure TfrmChart.loadallClick(Sender: TObject);
begin
  try
    loadAllCharts;
  except
    on EChartNotLoad do
    raise
  end;
end;

procedure TfrmChart.loadChart;
  {$IFDEF PATTERNS}
  var q: TTxtFile;
  {$ENDIF}
  var qtxt: TextFile;
     tmpString: String;
     i: integer;
     od1: TOpenDialog;
begin
   {$IFDEF PATTERNS}
   q:=TTxtFile.create(FILENAME);
   q.ReSet;
   q.readln(tmpString);// q.EOF
   {$ENDIF}
   i:= 0;
   od1:= TOpenDialog.Create(NIL);
   try
    od1.InitialDir:= application.ExeName;
    od1.filter:= frmTrans.strLit[72];
    if od1.execute then begin
      Assignfile(qtxt, od1.filename);
      try
        Reset(qtxt);
        preInitArray;
        while not EOF(qtxt) do begin
          {q.Readln(tmpString);}
          readln(qtxt, tmpstring);
          chartData[i]:=
            strToInt(copy(tmpString,pos(';',tmpString)+1,4));
          inc(i);
        end;
        //trans.chkfixchart.Checked:= true;
        setZoomFact(i, od1.fileName);
      finally
        closefile(qtxt);
        od1.Free;
      end;
    end;
   except
     raise EChartNotLoad.Create(frmTrans.strLit[30]+od1.filename);
   end;
   {q.Close;
   q.Free;}
  timer1.enabled:= false;
end;

procedure TfrmChart.LoadChart1Click(Sender: TObject);
begin
  try
    loadChart;
  except
    on EChartNotLoad do
     raise
    //random1.Click;
  end;
  try
    paintBox1.refresh;
  except
    on EChartDrawError do random1.Click;
  end
end;

procedure TfrmChart.loadChartDirect(fname: string);
var
  qtxt: TextFile;
  tmpString, fpath: string;
  i: Integer;
begin
   i:= 0;
   try
   delete(fname,pos(':',fname),1);
   fpath:= ExtractFilePath(Application.ExeName)+fname;
   Assignfile(qtxt, fpath);
    try
      Reset(qtxt);
      preInitArray;
      while not EOF(qtxt) do begin
      {q.Readln(tmpString);}
      readln(qtxt, tmpstring);
       chartData[i]:=
           strToInt(copy(tmpString,pos(';',tmpString)+1, 4));
      inc(i);
      end;
      setzoomfact(i, fname);
      //trans.chkfixchart.Checked:= true;
    finally
      closefile(qtxt);
    end;
   except
     raise EChartNotLoad.Create(frmTrans.strLit[30]);
   end;
   {q.Close;
   q.Free;}
  paintbox1.Refresh;
  timer1.enabled:= false;
end;

procedure TfrmChart.mnshowoptClick(Sender: TObject);
var
  i, vfrom, vto: Byte;
begin
  vfrom:= O_FROM;
  vto:= O_TO;
  perfamountTot:= 0;
  paintbox1.Refresh;
  for i:=  vfrom to vto do begin
    myGen.setMACycle(i);
    drawchart;
  end;
end;

procedure TfrmChart.newChart1Click(Sender: TObject);
begin
// does a redraw
  paintBox1.refresh;
  basicdraw;
  frmTrans.chkfixchart.Checked:= false;
  random1.click;
  if frmTrans.cboptimise.Checked then optimize1Click(Sender);
end;

procedure TfrmChart.optimize1Click(Sender: TObject);
var
  i: Integer;
  perflist: TStringList;
  optMA: Byte;
begin
   optimiseall:= false;
   optimise:= true;
   optMA:= 0;
   perflist:=TStringlist.create;
   perflist.clear;
   perflist.duplicates:= dupAccept;
   perflist:= myGen.optMovingAverage(O_FROM, O_TO, chartData,
                                CHDAT, optMA, perflist);
   perflist.sort;
   if not frmTrans.chkBox_Stat.checked then
     statusBar1.SimpleText:= frmTrans.strLit[24]+ inttostr(optMA);
   with frmbank do begin
     memBank.lines.clear;
   try
     memBank.lines.add(format('%s%s%s%s',['ma/','gain/','trans/','oma/']));
     for i:= 0 to perflist.count -1 do begin
       memBank.Lines.Add(perflist.strings[i]);
       //new from fusion;
       end;
   except
     raise exception.create(frmTrans.strLit[25]);
     Exit;
    end;
  end; //with
  perflist.free;
end;

procedure TfrmChart.Options1Click(Sender: TObject);
begin
  frmTrans.Showmodal;
end;

procedure TfrmChart.PaintBox1Click(Sender: TObject);
begin
  timer1.enabled:= not timer1.Enabled;
end;

procedure TfrmChart.preInitArray;
var
  i: Integer;
begin
   for i:= 0 to high(chartdata) do chartdata[i]:=0;
end;

procedure TfrmChart.Random1Click(Sender: TObject);
begin
  if not frmTrans.chkfixchart.checked then
      CHDAT:= paintBox1.width;
  statusBar1.SimpleText:= inttoStr(CHDAT) +frmTrans.strLit[26];
  hsize:= PaintBox1.Height - 1;
  if myGen.chartgenerator(hsize div 2, CHDAT, chartData) then
      drawChart;
  perfAmountTot:= perfAmountTot + perfAmount;
end;

procedure TfrmChart.setzoomfact(datlen: integer; const vfilename: string);
var
  vhi, vmx: Integer;
  vfact: Single;
begin
  if not frmTrans.chkfixchart.Checked then
   CHDAT:= datlen -1;
  //if CHDAT > datlen then CHDAT:= datlen;
  vhi:= PaintBox1.Height - 1;
  vmx:= round(maxvalue(chartData));
  vfact:= (vhi / vmx);
  myGen.zoomfact(chartDATA, vfact);
  if frmTrans.chkBox_Stat.checked then
  frmchart.caption:= frmTrans.strLit[74]
                +vfilename+ ' loaded ' +inttostr(CHDAT) +
                                            frmTrans.strLit[26]
  else
  statusBar1.SimpleText:= frmTrans.strLit[74]
                +vfilename+ ' loaded ' +inttostr(CHDAT) +
                                            frmTrans.strLit[26];
  FILENAMEChart:= vfilename;
end;

procedure TfrmChart.Statistics1Click(Sender: TObject);
begin
  statusBar1.simpleText:=
            mygen.GenStatistics(chartData, maData);
end;

procedure TfrmChart.stopTimer1Click(Sender: TObject);
begin
  stopTimer1.checked:= not stopTimer1.checked;
  if stopTimer1.checked then begin
     statusBar1.SimpleText:= frmTrans.strLit[27];
     timer1.enabled:= false
  end else begin
     timer1.enabled:= true;
     statusBar1.SimpleText:= frmTrans.strLit[28];
  end
end;

procedure TfrmChart.Timer1Timer(Sender: TObject);
var
  i: Integer;
  s1: Extended;
  s2: Real;
begin
  Inc(iloop);
  (* HP34-Funktion *)
  v1[0] := myGen.RandomA(StartValue);
  s1    := v1[0];
  (* Delphi-Funktion *)
  v2[0] := Random;
  s2    := v2[0];
  for i:= 1 to CHDAT do begin
    v1[i]:= myGen.RandomA(v1[i-1]);
    s1:= s1 + v1[i];
    a1[i]:= ((s1) / (i + 1));
    v2[i]:= Random;
    s2   := s2 + v2[i];
    a2[i]:= ((s2 + v2[i]) / (i + 1));
  end;
  newChart1.click
end;

procedure TfrmChart.WritetoFile1Click(Sender: TObject);
var
  q: TTxtFile;
  i: Integer;
begin
  with TSaveDialog.Create(NIL) do try
    InitialDir:= application.ExeName;
    filter:= frmTrans.strLit[72];
    if execute then begin
    //wrapper constructor
      q:= TTxtFile.Create(FileName);
      try
        q.ReWrite;
        //format is {*/number/;/prize/*}
        //for i:= 1 to high(chartData) -1 do begin
        for i:= 1 to CHDAT do begin
          q.Write(intToStr(i));
          q.Write(';');
          q.Writeln(floatToStr(round(chartData[i])));
        end;
        statusBar1.SimpleText:= frmTrans.strLit[74]
                        +FileName+ ' stored';
      finally
        q.Close;
        q.Free;
      end;
    end;
  finally
    Free;
  end
end;


end.




